Download it now!
Bug 91594 - FILEOPEN particular MSWORD2008 .docx: misinterprets letters from Symbol font (old bug returns with a twist)
Summary: FILEOPEN particular MSWORD2008 .docx: misinterprets letters from Symbol font ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:5.1.0 target:5.0.1 target:4.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-25 00:49 UTC by Aron Budea
Modified: 2016-10-25 19:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
How TestOffice2008.docx looks in LO 5 beta1 (59.51 KB, image/png)
2015-05-25 00:49 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2015-05-25 00:49:23 UTC
Created attachment 115998 [details]
How TestOffice2008.docx looks in LO 5 beta1

Bug 49645, referring to bug 39670's attachment (https://bugs.freedesktop.org/attachment.cgi?id=49722) is supposed to be fixed since LO 4.0.

However for me nothing is displayed instead of "α", and "α" is displayed instead of "β" (see attached screenshot). Note that this is somewhat different than in the original bug report, which had other exotic characters showing instead of α/β.

Appeared in LO 5.0 beta1, under both Windows 7 and Linux (I have no Mac, so I couldn't check there).
Also tested using LO 4.4.3.2, with same results.
Comment 1 Buovjaga 2015-06-08 10:48:55 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: be8512f99bc9ab18e55aabe01cc0ab1e6baea9e6
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-08_05:58:40
Locale: fi-FI (fi_FI)
Comment 2 A (Andy) 2015-06-28 08:04:13 UTC
Reproducible with LO 4.4.3.2, Win 8.1, works fine in MSO (Win)
Comment 3 Commit Notification 2015-07-28 21:59:13 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62e2fae93e8894f73560a30ae1e752cbd4c001ad

tdf#91594 misinterprets letters from Symbol font in docx files

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Luke 2015-07-30 03:51:31 UTC
Mark,
Thanks for resolving this major interoperability issue. I verified both the test file and my own Word docs are now importing correctly.
Comment 5 Commit Notification 2015-08-03 16:09:25 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd2bb1847eb3e1edaa590eac9dfaaaf1c64f638a&h=libreoffice-5-0

tdf#91594 misinterprets letters from Symbol font in docx files

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-08-10 09:46:24 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53e86198f2a40f40f291fb6a9cf5cc67e45df94c&h=libreoffice-4-4

tdf#91594 misinterprets letters from Symbol font in docx files

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.